Requirements and Compatibility

This topic describes the supported versions of various technologies by the Layer7 API Gateway.
CGW10-1
To determine the compatibility of the current API Gateway version with other APIM products and features, see the APIM Product Compatibility Chart.
2

Platforms

API Gateway
Platform
Supported Versions
Hardware Appliance Gateway
CentOS 7.7
Virtual Appliance Gateway
CentOS 7.7
Software Gateway
Virtualization
Virtual Platform
Supported Versions
VMware ESXi/VSphere
7.0
Best Effort Support for ESXi/VSphere 6.5 and 6.7
Versions 6.5 and 6.7 of VMware ESXi/VSphere are considered “unsupported”, but for which Layer7-Broadcom will make a reasonable commercial effort to troubleshoot and/or resolve customer support requests if the customer operates the API Gateway on these platforms.
The API Gateway does not support Oracle VirtualBox for virtualization.

Hardware Security Modules

Supported hardware security modules:
Manufacturer/Vendor
Supported Models
Supported Client Version
Entrust
  • nShield Connect+
  • nShield ConnectXC
  • nShield Solo+ (Oracle X7-2)
  • nShield Solo XC (Oracle X8-2)
Gateway version 10.1 or newer has been tested by Broadcom Layer7 to support nShield client version 12.70.4. Users planning to upgrade to Gateway version 10.1 MUST upgrade their nShield client version to 12.70.4.
Thales
SafeNet Luna SA
Gateway version 10.1 or newer has been tested by Broadcom Layer7 to support Luna client version 10.2 (i.e., the Luna Universal Client). Users planning to upgrade to Gateway version 10.1 MUST install version 10.2 of the Luna client.
Gateway 10.0 CR3 Users with Luna Client Version 10.2 Installed Must Reconfigure the Client
If you had Gateway 10.0 CR3 installed, you likely have version 10.2 of the Luna client already installed and configured. However, to comply with the Java 11 requirements of Gateway 10.1, you must reconfigure the client with the updated Layer7 instructions, as file pathnames, node.properties and java.security settings have been slightly modified.

Policy Manager

Policy Manager 10.1.x is required for Gateway 10.1.x.
Platform
Supported Versions
Windows
Supported: Windows 10
Tested: Windows 10
MacOS X
10.15.x
Other requirements:
  • A machine running one of the supported platforms for the Policy Manager listed above
    • Dedicated workstation recommended, to minimize security risks
    • When running the Policy Manager on Linux, AdoptOpenJDK (version 11.0.11+9)  must be properly installed and the JAVA_HOME environment set to the JDK installation directory path
    • When running the Policy Manager on Linux, a modern file system such as ext2/ext3 that supports full Linux file semantics instead of a FAT32/NTFS partition. The FAT32/NTFS partition does not allow uid, gid, and symlinks

Identity Providers

Identity Provider
Supported Versions
CA Single Sign-On (formerly "CA SiteMinder")
12.7
12.8
(see note below for more details)
Microsoft Active Directory (MSAD)
2012, 2016
OpenLDAP
2.4
CA Single Sign-On Compatibility
It is important to note the difference between the CA Single Sign-On Identity Provider and the CA Single Sign-On SDK:
  • The versions listed in the table above describe the versions of the CA Single Sign-On
    Policy Server
    that is supported when the Authenticate Against CA Single Sign-On Assertion is used to authenticate credentials.
  • The CA Single Sign-On
    SDK
    that is currently provided in the distribution archives is version 12.8.03, which is compatible with RHEL 6 and later.

Message Queuing Products

MQ Product
Supported Versions
IBM MQ Series
Supported: 9.x
Tested: 9.x*
*Note:
Version: 9.x is tested and supported for MQ Native Queue only.
TIBCO EMS
8.3, 8.6
WebLogic JMS
11g, 12c
Apache ActiveMQ
5.15.10

FTP/SFTP

Product
Supported
Versions
vsftpd
3.0.2
Squid
3.5.20

Antivirus (ICAP) Products

The API Gateway is designed to support all ICAP-capable antivirus products or solutions. The latest released versions of the following  products are officially tested and supported by Layer7-Broadcom:
Supported Products
Symantec Antivirus Scan Engine
McAfee Web Security

Databases (JDBC Connector Only)

Product
Supported Versions
MS SQL Server
2016
IBM DB2
Supported: 8.x, 9.1, 9.5, 9.7 Tested: 9.7
MySQL
Supported: 8.0
Oracle
19c
Data Direct Driver
Supported:
  • 5.4.1 for all JDBC connected databases except for Oracle
  • 6.x for Oracle 19 Only
While the Data Direct driver claims support for a list of databases, the
Layer7 API Gateway
is actively tested on a small subset of that list. Support for issues may involve additional support from Data Direct.

Datastores

Non-SQL Based:
Product
Supported Versions
Cassandra
Supported: 2.1.2, 3.0.0, 3.9.0
Tested: 3.9.0
External in-memory:
Product
Supported Versions
Hazelcast
3.12.5

Miscellaneous/Other Products

Product
Supported Versions
EJBCA
7
1.8
Radius
2.1.7
Syslog
8.24.0
Apache Kafka
2.2

Best Effort Support (Reasonable Commercial Effort Statement)

Third-party software and systems explicitly listed on this page are supported by the Gateway application. However, certain software and systems have been specifically identified for 'best-effort support'. For these best-effort support scenarios, Layer7-Broadcom Support will make a reasonable commercial effort to troubleshoot and/or resolve customer support requests that involve the use of currently supported versions of the API Gateway on or with "unsupported" third-party software and systems. In summary:
  • Support shall accept support incidents (support requests) involving a third-party software or system that is not officially supported per the then-current Layer7 published requirements and compatibility. matrices.
  • Support shall troubleshoot the issue up to the point that there is reason to believe that the problem is related to the use of the software or system that is not specified in a then-current requirements and compatibility matrix. At such point, Support shall require that the customer reproduce the problem on a fully supported third-party software or system before proceeding in troubleshooting the incident.
Third Party Products End of Support Statement
When a third-party product reaches the end of its primary or mainstream support, CA (Broadcom Layer7) will no longer provide support for that third-party product or any API Gateway components that interoperate with the third party product. Third party products under extended vendor support are not supported by CA (Broadcom Layer7). Examples of third party products include but are not limited to: web server, application server, operating system, directory, database, container application platforms, etc.